Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.src.nodes
Class SourceOptions

    java.lang.Object
      org.openide.util.SharedClassObject
          org.openide.options.SystemOption
              org.openide.src.nodes.SourceOptions

All Implemented Interfaces:
  Externalizable, Serializable, HelpCtx.Provider

    public final class SourceOptions

extends SystemOption

Display options for the hierarchy of source elements. These options determine the display name format of each kind of element.

Also included are read-only properties for the "long formats", which are in practice used for `ElementNode.getHintElementFormat()`.

Changes to settings will fire property change events.

See Also:
  Serialized Form

Field Summary
`static String` | `PROP_CATEGORIES_USAGE` Property name of the 'categories usage' property.
`static String` | `PROP_CLASS_FORMAT` Property name of the class display format.
`static String` | `PROP_CONSTRUCTOR_FORMAT` Property name of the constructor display format.
`static String` | `PROP_FIELD_FORMAT` Property name of the field display format.
`static String` | `PROP_INITIALIZER_FORMAT` Property name of the initializer display format.
`static String` | `PROP_INTERFACE_FORMAT` Property name of the interface display format.
`static String` | `PROP_METHOD_FORMAT` Property name of the method display format.

Constructor Summary
`SourceOptions()`

Method Summary
`String` | `displayName()`
`boolean` | `getCategoriesUsage()` Test whether categiries under class elements are used or not.
`ElementFormat` | `getClassElementFormat()` Get the class format.
`ElementFormat` | `getClassElementLongFormat()` Get the class format for longer hints.
`ElementFormat` | `getConstructorElementFormat()` Get the constructor format.
`ElementFormat` | `getConstructorElementLongFormat()` Get the constructor format for longer hints.
`ElementFormat` | `getFieldElementFormat()` Get the field format.
`ElementFormat` | `getFieldElementLongFormat()` Get the field format for longer hints.
`HelpCtx` | `getHelpCtx()`
`ElementFormat` | `getInitializerElementFormat()` Get the initializer format.
`ElementFormat` | `getInitializerElementLongFormat()` Get the initializer format for longer hints.
`ElementFormat` | `getInterfaceElementFormat()` Get the interface format.
`ElementFormat` | `getInterfaceElementLongFormat()` Get the interface format for longer hints.
`ElementFormat` | `getMethodElementFormat()` Get the method format.
`ElementFormat` | `getMethodElementLongFormat()` Get the method format for longer hints.
`void` | `readExternal(ObjectInput in)`
`void` | `setCategoriesUsage(boolean cat)` Set the property whether categories under class elements should be used or not.
`void` | `setClassElementFormat(ElementFormat format)` Set the class format.
`void` | `setConstructorElementFormat(ElementFormat format)` Set the constructor format.
`void` | `setFieldElementFormat(ElementFormat format)` Set the field format.
`void` | `setInitializerElementFormat(ElementFormat format)` Set the initializer format.
`void` | `setInterfaceElementFormat(ElementFormat format)` Set the interface format.
`void` | `setMethodElementFormat(ElementFormat format)` Set the method format.
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.openide.options.SystemOption
`clearSharedData, firePropertyChange, getName, isReadExternal, isWriteExternal, reset`

Methods inherited from class org.openide.util.SharedClassObject
`addNotify, addPropertyChangeListener, equals, finalize, findObject, findObject, getLock, getProperty, hashCode, initialize, putProperty, putProperty, removeNotify, removePropertyChangeListener, writeReplace`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_INITIALIZER_FORMAT

    public static final String PROP_INITIALIZER_FORMAT

  Property name of the initializer display format.

### PROP_FIELD_FORMAT

    public static final String PROP_FIELD_FORMAT

  Property name of the field display format.

### PROP_CONSTRUCTOR_FORMAT

    public static final String PROP_CONSTRUCTOR_FORMAT

  Property name of the constructor display format.

### PROP_METHOD_FORMAT

    public static final String PROP_METHOD_FORMAT

  Property name of the method display format.

### PROP_CLASS_FORMAT

    public static final String PROP_CLASS_FORMAT

  Property name of the class display format.

### PROP_INTERFACE_FORMAT

    public static final String PROP_INTERFACE_FORMAT

  Property name of the interface display format.

### PROP_CATEGORIES_USAGE

    public static final String PROP_CATEGORIES_USAGE

  Property name of the 'categories usage' property.

  See Also:
    Constant Field Values

Constructor Detail

### SourceOptions

    public SourceOptions()

Method Detail

### displayName

    public String displayName()

  Specified by:
    `displayName` in class `SystemOption`
  Returns:
    display name

### getHelpCtx

    public HelpCtx getHelpCtx()

  Specified by:
    `getHelpCtx` in interface `HelpCtx.Provider`
  Overrides:
    `getHelpCtx` in class `SystemOption`

### setInitializerElementFormat

    public void setInitializerElementFormat(ElementFormat format)

  Set the initializer format.

  Parameters:
    `format` - the new format

### getInitializerElementFormat

    public ElementFormat getInitializerElementFormat()

  Get the initializer format.

  Returns:
    the current format

### setFieldElementFormat

    public void setFieldElementFormat(ElementFormat format)

  Set the field format.

  Parameters:
    `format` - the new format

### getFieldElementFormat

    public ElementFormat getFieldElementFormat()

  Get the field format.

  Returns:
    the current format

### setConstructorElementFormat

    public void setConstructorElementFormat(ElementFormat format)

  Set the constructor format.

  Parameters:
    `format` - the new format

### getConstructorElementFormat

    public ElementFormat getConstructorElementFormat()

  Get the constructor format.

  Returns:
    the current format

### setMethodElementFormat

    public void setMethodElementFormat(ElementFormat format)

  Set the method format.

  Parameters:
    `format` - the new format

### getMethodElementFormat

    public ElementFormat getMethodElementFormat()

  Get the method format.

  Returns:
    the current format

### setClassElementFormat

    public void setClassElementFormat(ElementFormat format)

  Set the class format.

  Parameters:
    `format` - the new format

### getClassElementFormat

    public ElementFormat getClassElementFormat()

  Get the class format.

  Returns:
    the current format

### setInterfaceElementFormat

    public void setInterfaceElementFormat(ElementFormat format)

  Set the interface format.

  Parameters:
    `format` - the new format

### getInterfaceElementFormat

    public ElementFormat getInterfaceElementFormat()

  Get the interface format.

  Returns:
    the current format

### getInitializerElementLongFormat

    public ElementFormat getInitializerElementLongFormat()

  Get the initializer format for longer hints.

  Returns:
    the current format

### getFieldElementLongFormat

    public ElementFormat getFieldElementLongFormat()

  Get the field format for longer hints.

  Returns:
    the current format

### getConstructorElementLongFormat

    public ElementFormat getConstructorElementLongFormat()

  Get the constructor format for longer hints.

  Returns:
    the current format

### getMethodElementLongFormat

    public ElementFormat getMethodElementLongFormat()

  Get the method format for longer hints.

  Returns:
    the current format

### getClassElementLongFormat

    public ElementFormat getClassElementLongFormat()

  Get the class format for longer hints.

  Returns:
    the current format

### getInterfaceElementLongFormat

    public ElementFormat getInterfaceElementLongFormat()

  Get the interface format for longer hints.

  Returns:
    the current format

### setCategoriesUsage

    public void setCategoriesUsage(boolean cat)

  Set the property whether categories under class elements should be used or not.

  Parameters:
    `cat` - if `true` the elements under class elements are divided into categories: fields, constructors, methods. Otherwise (`false`) all elements are placed directly under class element.

### getCategoriesUsage

    public boolean getCategoriesUsage()

  Test whether categiries under class elements are used or not.

  Returns:
    `true` if the elements under class elements are divided into categories: fields, constructors, methods. Otherwise `false` (all elements are placed directly under class element).

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `SystemOption`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `SystemOption`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.